var i = Object.defineProperty;
var n = (r, t, e) => t in r ? i(r, t, { enumerable: !0, configurable: !0, writable: !0, value: e }) : r[t] = e;
var o = (r, t, e) => (n(r, typeof t != "symbol" ? t + "" : t, e), e);
import { ControlType as s, ViewType as a } from "@ibiz-template/model";
import { PluginStaticResource as l } from "@ibiz-template/runtime";
const m = new l(import.meta.url);
class c {
  constructor() {
    o(this, "component", "ChartControl");
  }
}
class p {
  constructor() {
    o(this, "component", "ChartView");
  }
}
const d = {
  mateUrl: import.meta.url,
  install(r) {
    m.loadStyle(["/style.css"]), r.component(
      "ChartControl",
      () => import("./chart-control-82e4972f.js")
    ), ibiz.register.control.register(s.CHART, new c()), r.component(
      "ChartView",
      () => import("./chart-view-2e05f0a8.js")
    ), ibiz.register.view.register(
      a.DE_CHART_VIEW,
      new p()
    );
  }
};
export {
  d as default
};
